function showInPlace
% Show in-place function calling
% Set break points
for ii = [12, 17, 22, 27, 33]
    dbstop('in','testInPlace','at',num2str(ii));
end

% Make some data
n = 38*2^22;
x = randn(n,1);
disp('create initial var')
n;                 

% Call regular function with same LHS
x = myfunc(x); 
disp('not in place but no new var')
n;                 

% Call inplace function with same LHS
x = myfuncInPlace(x);
disp('in place')
n;                  

% Call regular function with different LHS
y = myfunc(x); 
disp('not in place and new var')
n;                   

% Call inplace function with same LHS
% change to new LHS 
yy = myfuncInPlace(x);
disp('in place')
disp('finished')


